osmo_sccp_instance Struct Reference

`#include <sccp_internal.h>`

## Data Fields

struct llist_head | list
struct llist_head | connections
struct llist_head | users
uint32_t | route_ctx
uint32_t | next_id
struct osmo_ss7_instance * | ss7
void * | priv
struct osmo_ss7_user | ss7_user
struct osmo_sccp_timer_val | timers [OSMO_SCCP_TIMERS_COUNT]

## Field Documentation

## connections

struct llist_head osmo_sccp_instance::connections

Referenced by conn_create_id(), conn_find_by_id(), osmo_sccp_instance_create(), and sccp_scoc_flush_connections().

## list

struct llist_head osmo_sccp_instance::list

Referenced by osmo_sccp_instance_create(), and osmo_sccp_instance_destroy().

## next_id

uint32_t osmo_sccp_instance::next_id

Referenced by conn_create().

## priv

void* osmo_sccp_instance::priv

Referenced by osmo_sccp_instance_create().

## route_ctx

uint32_t osmo_sccp_instance::route_ctx

Referenced by gen_coref_without_conn(), gen_ret_msg(), tx_rlsd_from_xua_twoway(), xua_gen_msg_co(), and xua_gen_relre().

## ss7

struct osmo_ss7_instance* osmo_sccp_instance::ss7

Referenced by gen_mtp_transfer_req_xua(), osmo_sccp_get_ss7(), osmo_sccp_inst_addr_name(), osmo_sccp_instance_create(), osmo_sccp_instance_destroy(), osmo_sccp_local_addr_by_instance(), osmo_sccp_simple_server_add_clnt(), osmo_sccp_user_name(), osmo_sccp_user_unbind(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_inval_opc(), sccp_user_bind_pc(), scrc_local_out_common(), scrc_node_6(), scrc_translate_node_9(), show_user(), sua2sccp_tx_m3ua(), and vty_show_connection().

## ss7_user

struct osmo_ss7_user osmo_sccp_instance::ss7_user

Referenced by osmo_sccp_instance_create(), and osmo_sccp_instance_destroy().

## timers

struct osmo_sccp_timer_val osmo_sccp_instance::timers[OSMO_SCCP_TIMERS_COUNT]

Referenced by DEFUN(), osmo_sccp_timer_get(), and write_sccp_timers().

## users

struct llist_head osmo_sccp_instance::users

Referenced by DEFUN(), osmo_sccp_instance_create(), osmo_sccp_instance_destroy(), sccp_user_bind_pc(), and sccp_user_find().

The documentation for this struct was generated from the following file:

- src/sccp_internal.h